apiVersion: operator.victoriametrics.com/v1beta1
kind: VMRule
metadata:
  name: istio-dashboard-compat
  namespace: vmstack
spec:
  groups:
    - name: istio-dashboard-compat.rules
      rules:
        - record: kube_deployment_status_replicas_available
          expr: |
            label_replace(
              kube_deployment_status_replicas_available{deployment="istio-ingressgateway", namespace="ingress-nginx"},
              "namespace",
              "istio-system",
              "namespace",
              ".*"
            )
